Bug 590625 - Review Request: maven-doxia-tools - Maven Doxia Integration Tools
Review Request: maven-doxia-tools - Maven Doxia Integration Tools
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 07:03 EDT by Mary Ellen Foster
Modified: 2014-08-29 11:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 11:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2010-05-10 07:03:27 EDT
Spec URL: http://www.macs.hw.ac.uk/~mef3/maven221/maven-doxia-tools.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/maven221/maven-doxia-tools-1.2-2.fc12.src.rpm

Description: A collection of tools to help the integration of Doxia in Maven plugins.

Note: this needs to be built in the dist-f14-maven221 koji tag. Here is a successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2176868
Comment 1 Alexander Kurtakov 2010-05-10 10:06:37 EDT
I'm taking this one.
Comment 2 Alexander Kurtakov 2010-05-10 11:51:41 EDT
Review:

OK: rpmlint must be run on every package. OUTPUT:

maven-doxia-tools.noarch: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
Not a problem.

maven-doxia-tools.noarch: W: incoherent-version-in-changelog 1.2.1-2 ['1.2-2.fc12', '1.2-2']
Please Fix.
maven-doxia-tools.noarch: W: no-documentation
Not a problem, nothing suitable for doc.

maven-doxia-tools.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-doxia-tools
Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Please do not BuildRequires:	java-devel = 1:1.6.0 it should be BuildRequires:	java-devel >= 1:1.6.0

Other than that package is good.

This package is APPROVED.
Comment 3 Mary Ellen Foster 2010-05-10 12:00:32 EDT
New Package CVS Request
=======================
Package Name: maven-doxia-tools
Short Description: Maven Doxia integration tools
Owners: mef
Branches:
InitialCC:
Comment 5 Kevin Fenzi 2010-05-11 00:49:02 EDT
CVS done (by process-cvs-requests.py).

Remember to assign the review to the reviewer.
Comment 6 Darryl L. Pierce 2014-08-29 09:15:55 EDT
Package Change Request
======================
Package Name: maven-doxia
New Branches: epel7
Owners: mcpierce
Comment 7 Gwyn Ciesla 2014-08-29 11:52:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.